com.r3corda.node.services.clientapi / NodeInterestRates / InterpolatingRateMap

# InterpolatingRateMap

`class InterpolatingRateMap`

Stores a mapping between tenors and interest rates. Interpolates missing values using the provided interpolation mechanism.

### Constructors

<init> | `InterpolatingRateMap(date: LocalDate, inputRates: Map<Tenor, BigDecimal>, calendar: BusinessCalendar, factory: InterpolatorFactory)` Stores a mapping between tenors and interest rates. Interpolates missing values using the provided interpolation mechanism.

### Properties

calendar | `val calendar: BusinessCalendar`
date | `val date: LocalDate`
factory | `val factory: InterpolatorFactory`
size | `val size: Int` Number of rates excluding the interpolated ones

### Functions

getRate | `fun getRate(tenor: Tenor): BigDecimal?` Returns the interest rate for a given Tenor, or null if the rate is not found and cannot be interpolated.